<?php
include 'theme_options.php';
include 'guide.php';

if (function_exists('add_custom_background')) {
       add_custom_background();
      }

if ( function_exists('register_sidebar') )
    register_sidebar(array(
	'name' => 'Sidebar',
    'before_widget' => '<div class="sidebox">',
    'after_widget' => '</div>',
	'before_title' => '<h3 class="sidetitl">',
    'after_title' => '</h3>',
    ));

 function catch_that_image() {
  global $post, $posts;
  $first_img = '';
  ob_start();
  ob_end_clean();
  $output = preg_match_all('/<img.+src=[\'"]([^\'"]+)[\'"].*>/i', $post->post_content, $matches);
  $first_img = $matches [1] [0];

  if(empty($first_img)){ //Defines a default image
    $first_img = "/images/default.jpg";
  }
  return $first_img;
} 	
	
register_nav_menus( array(
		'primary' => __( 'Primary Navigation', '' ),
	) );	


					
function seo_wp_title( $title, $separator ) {
	if ( is_feed() )
	return $title;
	global $paged, $page;
	if ( is_search() ) {
		$title = sprintf( __( 'Search results for %s', '' ), '"' . get_search_query() . '"' );
		if ( $paged >= 2 )
			$title .= " $separator " . sprintf( __( 'Page %s', '' ), $paged );
		$title .= " $separator " . get_bloginfo( 'name', 'display' );
		return $title;
	}
	$title .= get_bloginfo( 'name', 'display' );
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		$title .= " $separator " . $site_description;
	if ( $paged >= 2 || $page >= 2 )
		$title .= " $separator " . sprintf( __( 'Page %s', '' ), max( $paged, $page ) );
	return $title;
}			
	

add_filter( 'wp_title', 'seo_wp_title', 10, 2 );
	
function post_type_photos() {
register_post_type(
                     'photos', 
                     array( 'public' => true,
					 		'publicly_queryable' => true,
							'hierarchical' => false,
							'menu_icon' => get_stylesheet_directory_uri() . '/images/pics.png',
                    		'labels'=>array(
    									'name' => _x('Photos', 'post type general name'),
    									'singular_name' => _x('Photo', 'post type singular name'),
    									'add_new' => _x('Add New', 'photo'),
    									'add_new_item' => __('Add New Photo'),
    									'edit_item' => __('Edit Photo'),
    									'new_item' => __('New Photo'),
    									'view_item' => __('View Photo'),
    									'search_items' => __('Search Photo'),
    									'not_found' =>  __('No photos found'),
    									'not_found_in_trash' => __('No photos found in Trash'), 
    									'parent_item_colon' => ''
  										),							 
                             'show_ui' => true,
							 'menu_position'=>5,
                             'supports' => array(
							 			'title',
										'editor',
										'author',
                                        'post-thumbnails',
                                        'excerpts',
                                        'trackbacks',
                                        'custom-fields',
                                        'comments',
                                        'revisions')
							

                                ) 
                      );
				  

} 
add_action('init', 'post_type_photos');
 
function create_gallery_taxonomy() 
{
  $labels = array(
	  						  'name' => _x( 'Galleries', 'taxonomy general name' ),
    						  'singular_name' => _x( 'gallery', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'Search Galleries' ),
   							  'all_items' => __( 'All Galleries' ),
    						  'parent_item' => __( 'Parent Gallery' ),
   					   		  'parent_item_colon' => __( 'Parent Gallery:' ),
   							  'edit_item' => __( 'Edit Gallery' ), 
  							  'update_item' => __( 'Update Gallery' ),
  							  'add_new_item' => __( 'Add New Gallery' ),
  							  'new_item_name' => __( 'New Gallery Name' ),
  ); 	

  register_taxonomy('gallery',array('photos'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'gallery' ),
  ));

}
add_action( 'init', 'create_gallery_taxonomy', 0 );


?>